#
# spec file for package rubygem-actionview-5_1
#
# Copyright (c) 2022 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actionview-5_1
Version:        5.1.4
Release:        150000.3.6.1
%define mod_name actionview
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5_1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  0001-CVE-2020-5267.patch
Patch1:  0002-CVE-2020-8167.patch
Patch2:  0003-CVE-2020-15169.patch
Patch3:  0004-CVE-2022-27777.patch
# /MANUAL
Summary:        Rendering framework putting the V in MVC (part of Rails)
License:        MIT
Group:          Development/Languages/Ruby

%description
Simple, battle-tested conventions and helpers for building web pages.

%prep
%gem_unpack
%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p2
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Wed Sep 28 2022 mschnitzer@suse.com
- Add patch to fix CVE-2022-27777 (bsc#1199060)
  0004-CVE-2022-27777.patch
* Wed Sep 28 2022 mschnitzer@suse.com
- Add patch to fix CVE-2020-15169 (bsc#1176421)
  0003-CVE-2020-15169.patch
* Wed Sep 28 2022 mschnitzer@suse.com
- Add patch to fix CVE-2020-8167 (bsc#1172184)
  0002-CVE-2020-8167.patch
* Mon Apr 27 2020 mschnitzer@suse.com
- Add patch to fix CVE-2020-5267 (bsc#1167240)
  0001-CVE-2020-5267.patch
  In ActionView before versions 6.0.2.2 and 5.2.4.2, there is a possible XSS
  vulnerability in ActionView's JavaScript literal escape helpers. Views that use
  the `j` or `escape_javascript` methods may be susceptible to XSS attacks. The
  issue is fixed in versions 6.0.2.2 and 5.2.4.2.
* Mon Sep 11 2017 enavarro@suse.com
- Update to version 5.1.4
* Wed Aug  9 2017 cbruckmayer@suse.com
- Update to version 5.1.3
* Sat Jun 24 2017 adrian@suse.de
- update to version 5.1.1
* Fri Aug 12 2016 coolo@suse.com
- updated to version 5.0.0.1
  see installed CHANGELOG.md
* Mon Jul  4 2016 coolo@suse.com
- updated to rails 5.0 - see http://weblog.rubyonrails.org/2016/6/30/Rails-5-0-final/
* Tue Mar  8 2016 coolo@suse.com
- updated to version 4.2.6
  see installed CHANGELOG.md
  [#]# Rails 4.2.6 (March 07, 2016) ##
  * Fix stripping the digest from the automatically generated img tag alt
    attribute when assets are handled by Sprockets >=3.0.
  * Bart de Water*
  * Create a new `ActiveSupport::SafeBuffer` instance when `content_for` is flushed.
    Fixes #19890
  * Yoong Kang Lim*
  * Respect value of `:object` if `:object` is false when rendering.
    Fixes #22260.
  * Yuichiro Kaneko*
  * Generate `week_field` input values using a 1-based index and not a 0-based index
    as per the W3 spec: http://www.w3.org/TR/html-markup/datatypes.html#form.data.week
  * Christoph Geschwind*
* Tue Mar  1 2016 coolo@suse.com
- updated to version 4.2.5.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.5.2 (February 26, 2016) ##
  * Do not allow render with unpermitted parameter.
    Fixes CVE-2016-2098.
  * Arthur Neves*
  [#]# Rails 4.2.5.1 (January 25, 2015) ##
  * Adds boolean argument outside_app_allowed to `ActionView::Resolver#find_templates`
    method.
  * Aaron Patterson*
* Tue Jan 26 2016 coolo@suse.com
- updated to version 4.2.5.1
  see installed CHANGELOG.md
* Fri Nov 13 2015 coolo@suse.com
- updated to version 4.2.5
  see installed CHANGELOG.md
  [#]# Rails 4.2.5 (November 12, 2015) ##
  * Fix `mail_to` when called with `nil` as argument.
  * Rafael Mendonça França*
  * `url_for` does not modify its arguments when generating polymorphic URLs.
  * Bernerd Schaefer*
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.2.4
  see installed CHANGELOG.md
  [#]# Rails 4.2.4 (August 24, 2015) ##
  * No Changes *
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.2.3
  see installed CHANGELOG.md
  [#]# Rails 4.2.3 (June 25, 2015) ##
  * `translate` should handle `raise` flag correctly in case of both main and default
    translation is missing.
    Fixes #19967
  * Bernard Potocki*
  * `translate` allows `default: [[]]` again for a default value of `[]`.
    Fixes #19640.
  * Adam Prescott*
  * `translate` should accept nils as members of the `:default`
    parameter without raising a translation missing error.  Fixes a
    regression introduced 362557e.
    Fixes #19419
  * Justin Coyne*
  * `number_to_percentage` does not crash with `Float::NAN` or `Float::INFINITY`
    as input when `precision: 0` is used.
    Fixes #19227.
  * Yves Senn*
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.2 (June 16, 2015) ##
  * No Changes *
* Sun Mar 22 2015 coolo@suse.com
- updated to version 4.2.1
  * Default translations that have a lower precidence than an html safe default,
    but are not themselves safe, should not be marked as html_safe.
  * Justin Coyne*
  * Added an explicit error message, in `ActionView::PartialRenderer`
    for partial `rendering`, when the value of option `as` has invalid characters.
  * Angelo Capilleri*
* Mon Jan 19 2015 dmueller@suse.com
- update to 4.1.9:
  * Added an explicit error message, in `ActionView::PartialRenderer`
  for partial `rendering`, when the value of option `as` has invalid characters.
  * Update `select_tag` to work correctly with `:include_blank` option passing a string.
* Mon Nov 10 2014 tboerger@suse.com
- To get rails 4 running on SLE 11 i have switched the
  rb_build_versions definition to rub21 as it is activated within
  devel:languages:ruby. That way we can get running rails 4 on
  SLE 11 too.
* Sun Oct 12 2014 coolo@suse.com
- updated to version 4.1.6
  * Fix that render layout: 'messages/layout' should also be added to the dependency tracker tree.
  * Return an absolute instead of relative path from an asset url in the case
    of the `asset_host` proc returning nil
  * Fix `html_escape_once` to properly handle hex escape sequences (e.g. &#x1a2b;)
  * Bring `cache_digest` rake tasks up-to-date with the latest API changes
* Wed Jul 23 2014 mrueckert@suse.com
- - initial package
